$(function() {
    $('input.day').click(dayMode);
    $('input.checkTimeSchedule').timeSelect();
    $('input.checkTimeSchedule').change(showCopyTime);
});

//Заменим текст "Это поле необходимо заполнить" на звездочку, чтобы время не разъезжалось
jQuery.extend(jQuery.validator.messages, {
    required: "*"
});

function afterSave() {
    opener.reloadSchedule();
}

function dayMode() {
    var checked = this.checked;
    var row = $(this).parents('tr:first').removeClass().addClass(this.checked ? 'workingday' : 'vacation');
    rowInput = row.find('input.time');
    rowInput.val('').attr('disabled', !checked);
    if (checked) {
        rowInput.removeClass('readonly');
        $(this).parents('tr:first').find('.timestart, .timeend').addClass('required');
    } else {
        rowInput.addClass('readonly');
        $(this).parents('tr:first').find('.timestart, .timeend').removeClass('required');
    }
       
    showCopyTime();
}

function showCopyTime() {
    $('.first_link').hide();
    if ($('tr.workingday').length > 1)
        $('tr.workingday:first .first_link').show();
}

function copyTime() {
    $('tr.workingday .timestart').val($('tr.workingday:first .timestart').val());
    $('tr.workingday .timeend').val($('tr.workingday:first .timeend').val());
    $('tr.workingday .breakstart').val($('tr.workingday:first .breakstart').val());
    $('tr.workingday .breakend').val($('tr.workingday:first .breakend').val());
    return false;
}